CVE-2016-4383

NameCVE-2016-4383
DescriptionThe glance-manage db in all versions of HPE Helion Openstack Glance allows deleted image ids to be reassigned, which allows remote authenticated users to cause other users to boot into a modified image without notification of the change.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
glance (PTS)wheezy2012.1.1-5vulnerable
jessie2014.1.3-12+deb8u1vulnerable
stretch, buster, sid2:13.0.0-4vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
glancesource(unstable)(unfixed)high
glancesourcewheezy(unfixed)end-of-life

Notes

[stretch] - glance <no-dsa> (Minor issue)
[jessie] - glance <no-dsa> (Minor issue)
[wheezy] - glance <end-of-life> (Not supported in Wheezy LTS)
https://bugs.launchpad.net/glance/+bug/1593799/
https://wiki.openstack.org/wiki/OSSN/OSSN-0075

Search for package or bug name: Reporting problems